import Test.Tasty ( TestTree, defaultMain, testGroup )

import TSN.XML.AutoRacingSchedule ( auto_racing_schedule_tests )
import TSN.XML.Heartbeat ( heartbeat_tests )
import TSN.XML.Injuries ( injuries_tests )
import TSN.XML.InjuriesDetail ( injuries_detail_tests )
import TSN.XML.News ( news_tests )
import TSN.XML.Odds ( odds_tests )
import TSN.XML.Scores ( scores_tests )
import TSN.XML.Weather ( weather_tests )

tests :: TestTree
tests = testGroup
          "All tests"
          [ auto_racing_schedule_tests,
            heartbeat_tests,
            injuries_tests,
            injuries_detail_tests,
            news_tests,
            odds_tests,
            scores_tests,
            weather_tests ]

main :: IO ()
main = defaultMain tests
